aboutsummaryrefslogtreecommitdiff
path: root/libraries/libmnl
diff options
context:
space:
mode:
authorMichal Bialozor <bialyy@o2.pl>2011-10-03 00:05:11 -0500
committerRobby Workman <rworkman@slackbuilds.org>2011-10-03 00:05:11 -0500
commitea519288fe2a56ccd9c6052eb4e0848e4cff2c8c (patch)
tree3303f012efba5c439837bcb7f560389acfa1b4dc /libraries/libmnl
parent8ce701b4943b03a9d15362fc592f8614b7502e5b (diff)
downloadslackbuilds-ea519288fe2a56ccd9c6052eb4e0848e4cff2c8c.tar.xz
libraries/libmnl: Added (user-space library for Netlink developers)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries/libmnl')
-rw-r--r--libraries/libmnl/README5
-rw-r--r--libraries/libmnl/libmnl.SlackBuild76
-rw-r--r--libraries/libmnl/libmnl.info10
-rw-r--r--libraries/libmnl/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/libraries/libmnl/README b/libraries/libmnl/README
new file mode 100644
index 000000000000..587139d538a4
--- /dev/null
+++ b/libraries/libmnl/README
@@ -0,0 +1,5 @@
+libmnl is a minimalistic user-space library oriented to Netlink
+developers. There are a lot of common tasks in parsing, validating,
+constructing of both the Netlink header and TLVs that are repetitive
+and easy to get wrong. This library aims to provide simple helpers
+that allow you to re-use code and to avoid re-inventing the wheel.
diff --git a/libraries/libmnl/libmnl.SlackBuild b/libraries/libmnl/libmnl.SlackBuild
new file mode 100644
index 000000000000..072b7e508e2c
--- /dev/null
+++ b/libraries/libmnl/libmnl.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for libmnl
+# Written by Michal Bialozor <bialyy@o2.pl>
+
+PRGNAM=libmnl
+VERSION=1.0.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libmnl/libmnl.info b/libraries/libmnl/libmnl.info
new file mode 100644
index 000000000000..fa227f495b8d
--- /dev/null
+++ b/libraries/libmnl/libmnl.info
@@ -0,0 +1,10 @@
+PRGNAM="libmnl"
+VERSION="1.0.1"
+HOMEPAGE="http://www.netfilter.org/projects/libmnl/"
+DOWNLOAD="http://www.netfilter.org/projects/libmnl/files/libmnl-1.0.1.tar.bz2"
+MD5SUM="e936236bb57a2375afa4e70e75dc3ba9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michal Bialozor"
+EMAIL="bialyy@o2.pl"
+APPROVED="rworkman"
diff --git a/libraries/libmnl/slack-desc b/libraries/libmnl/slack-desc
new file mode 100644
index 000000000000..0fc1b47d6925
--- /dev/null
+++ b/libraries/libmnl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------|
+libmnl: libmnl (user-space library oriented to Netlink developers)
+libmnl:
+libmnl: libmnl is a minimalistic user-space library oriented to Netlink
+libmnl: developers. There are a lot of common tasks in parsing, validating,
+libmnl: constructing of both the Netlink header and TLVs that are repetitive
+libmnl: and easy to get wrong. This library aims to provide simple helpers
+libmnl: that allows you to re-use code and to avoid re-inventing the wheel.
+libmnl:
+libmnl: Homepage: http://www.netfilter.org/projects/libmnl/
+libmnl:
+libmnl: